Warning message while updating: shell_exec() – 2.8.0 to 2.8.3


#1

Warning: shell_exec() [function.shell-exec]: Cannot execute using backquotes in Safe Mode in /var/www/html/username/html/piwik/core/Filechecks.php on line 218 

Backtrace -->

#0 Piwik\Error::errorHandler(...) called at [:]
#1 shell_exec(...) called at [/var/www/html/username/html/piwik/core/Filechecks.php:218]
#2 Piwik\Filechecks::getUserAndGroup(...) called at [/var/www/html/username/html/piwik/core/Filechecks.php:180]
#3 Piwik\Filechecks::getAutoUpdateMakeWritableMessage(...) called at [/var/www/html/username/html/piwik/plugins/CoreUpdater/Controller.php:83]
#4 Piwik\Plugins\CoreUpdater\Controller->newVersionAvailable(...) called at [:]
#5 call_user_func_array(...) called at [/var/www/html/username/html/piwik/core/FrontController.php:579]
#6 Piwik\FrontController->doDispatch(...) called at [/var/www/html/username/html/piwik/core/FrontController.php:87]
#7 Piwik\FrontController->dispatch(...) called at [/var/www/html/username/html/piwik/core/dispatch.php:34]
#8 require_once(...) called at [/var/www/html/username/html/piwik/index.php:46]